import { Completion, CompletionContext, CompletionResult, CompletionSource } from '@codemirror/autocomplete';

declare const javascriptLanguage: any;
declare const typescriptLanguage: any;
declare const jsxLanguage: any;
declare const tsxLanguage: any;
declare function javascript(config?: {
    jsx?: boolean;
    typescript?: boolean;
}): any;
declare const autoCloseTags: any;

declare const snippets: readonly Completion[];
declare const typescriptSnippets: Completion[];

declare function esLint(eslint: any, config?: any): (view: EditorView) => Diagnostic[];

declare function localCompletionSource(context: CompletionContext): CompletionResult | null;
declare function completionPath(context: CompletionContext): {
    path: readonly string[];
    name: string;
} | null;
declare function scopeCompletionSource(scope: any): CompletionSource;

export { autoCloseTags, completionPath, esLint, javascript, javascriptLanguage, jsxLanguage, localCompletionSource, scopeCompletionSource, snippets, tsxLanguage, typescriptLanguage, typescriptSnippets };
